Name:           sv-lang
Version:        8.1
%global forgeurl https://github.com/MikePopoloski/slang
%forgemeta
Release:        %autorelease
Summary:        SystemVerilog compiler and language services

License:        MIT
URL:            https://sv-lang.com/
Source0:        %forgesource

BuildRequires:  gcc gcc-c++ %{toolchain} cmake
BuildRequires:  python python-devel pybind11-devel
BuildRequires:  cmake(fmt) boost-devel
BuildRequires:  catch-devel

%description
slang is a software library that provides various components for
lexing, parsing, type checking, and elaborating SystemVerilog code.

It comes with an executable that can compile and lint any SystemVerilog project,
but it is also intended to be usable as a front end for synthesis tools,
simulators, linters, code editors, and refactoring tools.

%package libs
Summary:        SystemVerilog compiler and language services library
%description libs
%{description}


%package devel
Summary:        Development files for sv-lang
%description devel
%{description}

%package -n python3-pyslang
Provides:       python3dist(pyslang)
Summary:        SystemVerilog compiler and language services python library
%description -n python3-pyslang
%{description}

%prep
%forgesetup


%build
%cmake -GNinja \
    -DSLANG_USE_MIMALLOC=OFF \
    -DSLANG_USE_CPPTRACE=OFF \
    -DSLANG_INCLUDE_PYLIB=ON \
    -DBUILD_SHARED_LIBS=ON \
%cmake_build


%install
%cmake_install
mkdir -p %{buildroot}%{python3_sitearch}
mv %{buildroot}/usr/pyslang*.so %{buildroot}%{python3_sitearch}
rm %{buildroot}%{_includedir}/expected.hpp

%check


%files
%license LICENSE
%doc README.md

%{_bindir}/slang*

%files libs
%{_libdir}/libsvlang.so.*

%files -n python3-pyslang
%{python3_sitearch}/*.so

%files devel
%{_libdir}/libsvlang.so
%{_datadir}/pkgconfig/sv-lang.pc
%{_libdir}/cmake/slang
%{_includedir}/slang
%{_includedir}/ieee1800



%changelog
%autochangelog

